﻿Imports _3._2_PhonebookDemo.Model

Public Class EditPerson
    Public Property CurrentPerson As Person

    Public Property ShouldDelete As Boolean

    Private Sub EditPerson_Loaded(sender As Object, e As RoutedEventArgs) Handles Me.Loaded
        Dim salutationList = [Enum].GetNames(GetType(Model.EnuSalutation))
        Me.cmbSalutation.ItemsSource = salutationList

        With CurrentPerson
            cmbSalutation.SelectedIndex = .Salutation
            txtVorname.Text = .FirstName
            txtNachname.Text = .LastName
            txtImagePath.Text = .Image
            DatePickerBirthday.SelectedDate = .Birthday
            chkIsFavorite.IsChecked = .IsFavorite
            txtGroup.Text = .Group
            txtNote.Text = .Notes
        End With
    End Sub

    Private Sub BtnSave_Click(sender As Object, e As RoutedEventArgs)
        With CurrentPerson
            .Salutation = CType(cmbSalutation.SelectedIndex, Model.EnuSalutation)
            .FirstName = txtVorname.Text
            .LastName = txtNachname.Text
            .Image = txtImagePath.Text
            .Birthday = DatePickerBirthday.SelectedDate
            .IsFavorite = chkIsFavorite.IsChecked.Value
            .Notes = txtNote.Text
            .Group = txtGroup.Text
        End With
        Me.DialogResult = True
    End Sub

    Private Sub BtnSave_Delete(sender As Object, e As RoutedEventArgs)
        If MessageBox.Show("Wirklich löschen?", "Löschen?", MessageBoxButton.OKCancel, MessageBoxImage.Warning) = MessageBoxResult.OK Then
            ShouldDelete = True
            DialogResult = True
        End If
    End Sub


End Class
