﻿Imports System.Collections.ObjectModel

Class MainWindow
    Private Sub MainWindow_Loaded(sender As Object, e As RoutedEventArgs) Handles Me.Loaded
        Dim persList As New List(Of Model.Person)

        Dim pers1 As New Model.Person(Model.EnuSalutation.Mister, "Sascha", "Patschka", Nothing,
New Date(1983, 9, 12), New List(Of Model.Contact) From {
New Model.Contact("patschka.sascha@live.com", Model.EnuContactType.MailPrivate),
New Model.Contact("+43664 12 34 567", Model.EnuContactType.PhoneMobile)})

        pers1.IsFavorite = True
        pers1.Image = "https://www.vb-paradise.de/wcf/images/avatars/01/3128-0124b76125128a33003a968a4d2882f1479dd93f.jpg"
        persList.Add(pers1)

        PersonList = New ObservableCollection(Of Model.Person)(persList)
        ItemsControlPersons.ItemsSource = PersonList

        AddHandler uclTopBar.btnAddPerson.Click, AddressOf AddPerson_Clicked
    End Sub
    Private Sub AddPerson_Clicked(ByVal sender As Object, ByVal e As RoutedEventArgs)
        Dim persWin As New EditPerson
        persWin.CurrentPerson = New Model.Person()
        If persWin.ShowDialog Then
            PersonList.Add(persWin.CurrentPerson)
        Else
            Debug.WriteLine("Es wurde nicht gespeichert!")
        End If
    End Sub

    Public Property PersonList As ObservableCollection(Of Model.Person)


    Private Sub Person_MouseLeftButtonUp(sender As Object, e As MouseButtonEventArgs)
        Dim li As ListBoxItem = CType(sender, ListBoxItem)
        If li.DataContext IsNot Nothing AndAlso li.DataContext.GetType Is GetType(Model.Person) Then
            Dim persWin As New EditPerson
            persWin.CurrentPerson = CType(li.DataContext, Model.Person)
            If persWin.ShowDialog() Then
                PersonList.Remove(persWin.CurrentPerson)
                If Not persWin.ShouldDelete Then
                    PersonList.Add(persWin.CurrentPerson)
                End If
            End If
            Else
            Throw New Exception("Der Typ des DatenContexts war falsch.")
        End If
    End Sub
End Class
